org.apache.felix.ipojo.extender.internal

## Interface BundleProcessor

All Superinterfaces:
  Lifecycle

All Known Implementing Classes:
  ChainedBundleProcessor, ComponentsBundleProcessor, ConfigurationProcessor, ExtensionBundleProcessor, ForwardingBundleProcessor, QueuingActivationProcessor, ReverseBundleProcessor

    public interface BundleProcessor
    extends Lifecycle

Main Processor interface. A bundle processor is an extender fragment, it analyzes the bundle content and creates the entities.

Notice the difference between the `activate / deactivate` methods called when a bundle is starting and stopping, and `start / stop` called when the iPOJO bundle is started and stopped.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `activate(org.osgi.framework.Bundle bundle)` A bundle is started.
`void` `deactivate(org.osgi.framework.Bundle bundle)` A bundle is stopping.

### Methods inherited from interface org.apache.felix.ipojo.extender.internal.Lifecycle

`start, stop`

### Method Detail

#### activate

    void activate(org.osgi.framework.Bundle bundle)

A bundle is started.

Parameters:
  `bundle` - the bundle

#### deactivate

    void deactivate(org.osgi.framework.Bundle bundle)

A bundle is stopping. This call is made during the stopping phase.

Parameters:
  `bundle` - the bundle